import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const receivePayment = await conductor.qbd.receivePayments.update('123ABC-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(receivePayment.id);
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
receive_payment = conductor.qbd.receive_payments.update(
id="123ABC-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(receive_payment.id)
Updates a received payment. When you resubmit applications to invoices, keep them on the same accounts receivable account and include the payment amount, discount, or credit on every allocation you send.
POST
/
quickbooks-desktop
/
receive-payments
/
{id}
JavaScript
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const receivePayment = await conductor.qbd.receivePayments.update('123ABC-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(receivePayment.id);
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
receive_payment = conductor.qbd.receive_payments.update(
id="123ABC-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(receive_payment.id)
The current QuickBooks-assigned revision number of the receive-payment object you are updating, which you can get by fetching the object first. Provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
The Accounts-Receivable (A/R) account to which this receive-payment is assigned, used to track the amount owed. If omitted, QuickBooks Desktop uses the default A/R account configured in the company file.
IMPORTANT: If this receive-payment is linked to other transactions, this A/R account must match the receivablesAccount used in all linked transactions.
The case-sensitive user-defined reference number for this receive-payment, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.
The market exchange rate between this receive-payment's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).
The credit card transaction data for this receive-payment's payment when using QuickBooks Merchant Services (QBMS). If specifying this field, you must also specify the paymentMethod field.
The invoices to be paid by this receive-payment. This will create a link between this receive-payment and the specified invoices.
IMPORTANT: In each applyToTransactions object, you must specify either paymentAmount, applyCredits, discountAmount, or any combination of these; if none of these are specified, you will receive an error for an empty transaction.
IMPORTANT: The target invoice must have isPaid=false, otherwise, QuickBooks will report this object as "cannot be found".
The date and time when this receive-payment was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
The date and time when this receive-payment was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
The current QuickBooks-assigned revision number of this receive-payment object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
The Accounts-Receivable (A/R) account to which this receive-payment is assigned, used to track the amount owed. If omitted, QuickBooks Desktop uses the default A/R account configured in the company file.
IMPORTANT: If this receive-payment is linked to other transactions, this A/R account must match the receivablesAccount used in all linked transactions.
The case-sensitive user-defined reference number for this receive-payment, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.
The receive-payment's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.
The market exchange rate between this receive-payment's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).
The amount of this receive-payment that remains unapplied to any transactions. This occurs in two cases: (1) When the sum of paymentAmount amounts in applyToTransactions is less than totalAmount, leaving a portion of the payment unused, or (2) When a payment is received that equals the exact amount of an invoice, but credits or discounts are also applied, resulting in excess payment.
The amount of credit that remains unused after applying credits to this receive-payment. This occurs when the applyCredit.appliedAmount specified for a credit memo (applyCredit.creditMemoId) in the applyToTransactions array is less than the total available credit amount for that credit memo.
A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.
The custom fields for the receive-payment object, added as user-defined data extensions, not included in the standard QuickBooks object.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Conductor Docs","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"logo":{"light":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf","dark":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/dark.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=dbd4c90195fb31cbae682dd4bfb98350","href":"https://conductor.is"},"favicon":"https://mintcdn.com/conductor/79gIlu1T1D-ycZhm/favicon.png?fit=max\u0026auto=format\u0026n=79gIlu1T1D-ycZhm\u0026q=85\u0026s=52c2193ef1a37fb3c2a843f148178e26","api":{"openapi":"openapi.documented.yml","playground":{"display":"interactive"}},"background":{"color":{"dark":"#090014"}},"navbar":{"links":[{"href":"mailto:support@conductor.is?subject=Conductor Help","label":"Support"},{"href":"https://dashboard.conductor.is","label":"Dashboard"}],"primary":{"type":"button","label":"Sign up","href":"https://dashboard.conductor.is/sign-up"}},"footer":{"socials":{"twitter":"https://twitter.com/conductor_is","github":"https://github.com/conductor-is","linkedin":"https://linkedin.com/company/conductor-is"},"links":[{"header":"Product","items":[{"label":"Core","href":"https://conductor.is/"},{"label":"FAQ","href":"https://docs.conductor.is/faq"},{"label":"Security","href":"https://docs.conductor.is/security"},{"label":"Testimonials","href":"https://conductor.is/"},{"label":"Pricing","href":"https://conductor.is/"}]},{"header":"Resources","items":[{"label":"Documentation","href":"https://docs.conductor.is"},{"label":"Help Center","href":"https://docs.conductor.is/help"},{"label":"Status","href":"https://status.conductor.is"},{"label":"Quickstart","href":"https://docs.conductor.is/quickstart"}]},{"header":"Company","items":[{"label":"About","href":"https://conductor.is/company"},{"label":"Values","href":"https://conductor-io.notion.site/Conductor-s-Values-83e9eb6e4e4d40a2973b24513dc60f99?pvs=4"},{"label":"Contact","href":"mailto:support@conductor.is?subject=Conductor Help"}]},{"header":"Legal","items":[{"label":"Privacy Policy","href":"https://conductor.is/privacy"},{"label":"Terms of Service","href":"https://conductor.is/terms"},{"label":"Trust Center","href":"https://trust.conductor.is"}]}]},"styling":{"codeblocks":"system","latex":false},"integrations":{"ga4":{"measurementId":"G-X8MDB0LXNF"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"conductor","hasAudioNarration":false,"actualSubdomain":"conductor","customDomains":["docs.conductor.is"],"gitSource":{"type":"github","owner":"conductor-is","repo":"conductor","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae50e5419d8e9102e3467c3","collectionId":"1ddbe41b-7f4a-4439-8689-95dce6a869c4","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae50e5419d8e9102e3467c3"},"feedback":{"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae50e5419d8e9102e3467c3","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"API Reference","count":337},{"language":"default","tag":"Transactions","count":160},{"language":"default","tag":"General","count":104},{"language":"default","tag":"Items","count":53},{"language":"default","tag":"Help","count":25},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Reports","count":11},{"language":"default","tag":"QuickBooks Desktop API","count":10},{"language":"default","tag":"Connection errors","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-ref/qbd/receive-payments/update","slug":"/api-ref/qbd/receive-payments/update","pageMetadata":{"openapi":"POST /quickbooks-desktop/receive-payments/{id}","title":"Update a receive-payment","description":"Updates a received payment. When you resubmit applications to invoices, keep them on the same accounts receivable account and include the payment amount, discount, or credit on every allocation you send.","href":"/api-ref/qbd/receive-payments/update"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Updates a received payment. When you resubmit applications to invoices, keep them on the same accounts receivable account and include the payment amount, discount, or credit on every allocation you send.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"POST /quickbooks-desktop/receive-payments/{id}","title":"Update a receive-payment","description":"Updates a received payment. When you resubmit applications to invoices, keep them on the same accounts receivable account and include the payment amount, discount, or credit on every allocation you send.","href":"/api-ref/qbd/receive-payments/update"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Update a receive-payment","description":"Updates a received payment. When you resubmit applications to invoices, keep them on the same accounts receivable account and include the payment amount, discount, or credit on every allocation you send.","security":["d2a1fa71-9e9e-470f-973e-c5a18e754ac9"],"parameters":["eca51446-ba83-406d-8394-728f5dd0c652","d9e6f47d-9ffe-4c7b-afda-8d5e80e080cd"],"requestBody":"75751288-6be8-4ec7-98f9-1cad2dce3232","responses":{"200":"377fbd08-7375-488a-8cb0-09085b0ea7b2"},"x-codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\nconst receivePayment = await conductor.qbd.receivePayments.update('123ABC-1234567890', {\n revisionNumber: '1721172183',\n conductorEndUserId: 'end_usr_1234567abcdefg',\n});\n\nconsole.log(receivePayment.id);"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\nreceive_payment = conductor.qbd.receive_payments.update(\n id=\"123ABC-1234567890\",\n revision_number=\"1721172183\",\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\nprint(receive_payment.id)"}],"method":"post","type":"path","servers":["045cea4d-dfb6-46e4-9c51-52452b7b239b"],"path":"/quickbooks-desktop/receive-payments/{id}","baseUrlOptions":["https://api.conductor.is/v1"],"title":"Update a receive-payment","codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\nconst receivePayment = await conductor.qbd.receivePayments.update('123ABC-1234567890', {\n revisionNumber: '1721172183',\n conductorEndUserId: 'end_usr_1234567abcdefg',\n});\n\nconsole.log(receivePayment.id);"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\nreceive_payment = conductor.qbd.receive_payments.update(\n id=\"123ABC-1234567890\",\n revision_number=\"1721172183\",\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\nprint(receive_payment.id)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"eca51446-ba83-406d-8394-728f5dd0c652":{"in":"header","name":"Conductor-End-User-Id","schema":{"type":"string","description":"The ID of the End-User to receive this request.","example":"end_usr_1234567abcdefg","x-stainless-naming":{"typescript":{"method_argument":"conductorEndUserId"},"mcp":{"method_argument":"conductorEndUserId"}},"isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"The ID of the End-User to receive this request."},"d9e6f47d-9ffe-4c7b-afda-8d5e80e080cd":{"in":"path","name":"id","schema":{"type":"string","maxLength":36,"description":"The QuickBooks-assigned unique identifier of the receive-payment to update.","example":"123ABC-1234567890","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"The QuickBooks-assigned unique identifier of the receive-payment to update."}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"revisionNumber":{"type":"string","description":"The current QuickBooks-assigned revision number of the receive-payment object you are updating, which you can get by fetching the object first. Provide the most recent `revisionNumber` to ensure you're working with the latest data; otherwise, the update will return an error.","example":"1721172183","isRequired":true,"uniqueKey":"revisionNumber","typeLabel":"string"},"customerId":{"description":"The customer or customer-job to which the payment for this receive-payment is credited.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"customerId","typeLabel":"string"},"receivablesAccountId":{"description":"The Accounts-Receivable (A/R) account to which this receive-payment is assigned, used to track the amount owed. If omitted, QuickBooks Desktop uses the default A/R account configured in the company file.\n\n**IMPORTANT**: If this receive-payment is linked to other transactions, this A/R account must match the `receivablesAccount` used in all linked transactions.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"receivablesAccountId","typeLabel":"string"},"transactionDate":{"type":"string","format":"date","description":"The date of this receive-payment, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-01","uniqueKey":"transactionDate","typeLabel":"string\u003cdate>"},"refNumber":{"description":"The case-sensitive user-defined reference number for this receive-payment, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.\n\nMaximum length: 20 characters.","example":"PAYMENT-1234","type":"string","maxLength":20,"uniqueKey":"refNumber","typeLabel":"string"},"totalAmount":{"type":"string","description":"The total monetary amount of this receive-payment, represented as a decimal string.\n\n**NOTE**: The sum of the `paymentAmount` amounts in the `applyToTransactions` array cannot exceed the `totalAmount`, or you will receive an error.\n\nDecimal string format: exactly 2 decimal places when cents are included and up to 13 digits before the decimal point (for example, \"123.45\").","example":"1000.00","uniqueKey":"totalAmount","typeLabel":"string"},"exchangeRate":{"description":"The market exchange rate between this receive-payment's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"type":"number","uniqueKey":"exchangeRate","typeLabel":"number"},"paymentMethodId":{"description":"The receive-payment's payment method (e.g., cash, check, credit card).","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"paymentMethodId","typeLabel":"string"},"memo":{"description":"A memo or note for this receive-payment that will be displayed at the beginning of reports containing details about this receive-payment.\n\nMaximum length: 4095 characters.","example":"Payment received at store location - cash","type":"string","maxLength":4095,"uniqueKey":"memo","typeLabel":"string"},"depositToAccountId":{"description":"The account where the funds for this receive-payment will be or have been deposited.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"depositToAccountId","typeLabel":"string"},"creditCardTransaction":{"description":"The credit card transaction data for this receive-payment's payment when using QuickBooks Merchant Services (QBMS). If specifying this field, you must also specify the `paymentMethod` field.","type":"object","properties":{"request":{"description":"The transaction request data originally supplied for this credit card transaction when using QuickBooks Merchant Services (QBMS).","type":"object","properties":{"number":{"type":"string","maxLength":25,"description":"The credit card number. Must be masked with lower case \"x\" and no dashes.\n\nMaximum length: 25 characters.","example":"xxxxxxxxxxxx1234","uniqueKey":"creditCardTransaction.request.number","typeLabel":"string"},"expirationMonth":{"type":"number","description":"The month when the credit card expires.","example":12,"uniqueKey":"creditCardTransaction.request.expirationMonth","typeLabel":"number"},"expirationYear":{"type":"number","description":"The year when the credit card expires.","example":2024,"uniqueKey":"creditCardTransaction.request.expirationYear","typeLabel":"number"},"name":{"type":"string","maxLength":41,"description":"The cardholder's name on the card.\n\nMaximum length: 41 characters.","example":"John Doe","uniqueKey":"creditCardTransaction.request.name","typeLabel":"string"},"address":{"description":"The card's billing address.\n\nMaximum length: 41 characters.","example":"1234 Main St, Anytown, USA, 12345","type":"string","maxLength":41,"uniqueKey":"creditCardTransaction.request.address","typeLabel":"string"},"postalCode":{"description":"The card's billing address ZIP or postal code.\n\nMaximum length: 18 characters.","example":"12345","type":"string","maxLength":18,"uniqueKey":"creditCardTransaction.request.postalCode","typeLabel":"string"},"commercialCardCode":{"description":"The commercial card code identifies the type of business credit card being used (purchase, corporate, or business) for Visa and Mastercard transactions only. When provided, this code may qualify the transaction for lower processing fees compared to the standard rates that apply when no code is specified.\n\nMaximum length: 24 characters.","example":"corporate","type":"string","maxLength":24,"uniqueKey":"creditCardTransaction.request.commercialCardCode","typeLabel":"string"},"transactionMode":{"description":"Indicates whether this credit card transaction came from a card swipe (`card_present`) or not (`card_not_present`).","example":"card_not_present","type":"string","enum":["card_not_present","card_present"],"uniqueKey":"creditCardTransaction.request.transactionMode","typeLabel":"enum\u003cstring>"},"transactionType":{"description":"The QBMS transaction type from which the current transaction data originated.","example":"charge","type":"string","enum":["authorization","capture","charge","refund","voice_authorization"],"uniqueKey":"creditCardTransaction.request.transactionType","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"creditCardTransaction.request","typeLabel":"object"},"response":{"description":"The transaction response data for this credit card transaction when using QuickBooks Merchant Services (QBMS).","type":"object","properties":{"statusCode":{"type":"number","description":"The status code returned in the original QBMS transaction response for this credit card transaction.","example":0,"uniqueKey":"creditCardTransaction.response.statusCode","typeLabel":"number"},"statusMessage":{"type":"string","maxLength":60,"description":"The status message returned in the original QBMS transaction response for this credit card transaction.\n\nMaximum length: 60 characters.","example":"Success","uniqueKey":"creditCardTransaction.response.statusMessage","typeLabel":"string"},"creditCardTransactionId":{"type":"string","maxLength":24,"description":"The ID returned from the credit card processor for this credit card transaction.\n\nMaximum length: 24 characters.","example":"1234567890","uniqueKey":"creditCardTransaction.response.creditCardTransactionId","typeLabel":"string"},"merchantAccountNumber":{"type":"string","maxLength":32,"description":"The QBMS account number of the merchant who is running this transaction using the customer's credit card.\n\nMaximum length: 32 characters.","example":"1234567890","uniqueKey":"creditCardTransaction.response.merchantAccountNumber","typeLabel":"string"},"authorizationCode":{"description":"The authorization code returned from the credit card processor to indicate that this charge will be paid by the card issuer.\n\nMaximum length: 12 characters.","example":"1234567890","type":"string","maxLength":12,"uniqueKey":"creditCardTransaction.response.authorizationCode","typeLabel":"string"},"avsStreetStatus":{"description":"Indicates whether the street address supplied in the transaction request matches the customer's address on file at the card issuer.","example":"pass","type":"string","enum":["fail","not_available","pass"],"uniqueKey":"creditCardTransaction.response.avsStreetStatus","typeLabel":"enum\u003cstring>"},"avsZipStatus":{"description":"Indicates whether the customer postal ZIP code supplied in the transaction request matches the customer's postal code recognized at the card issuer.","example":"pass","type":"string","enum":["fail","not_available","pass"],"uniqueKey":"creditCardTransaction.response.avsZipStatus","typeLabel":"enum\u003cstring>"},"cardSecurityCodeMatch":{"description":"Indicates whether the card security code supplied in the transaction request matches the card security code recognized for that credit card number at the card issuer.","example":"pass","type":"string","enum":["fail","not_available","pass"],"uniqueKey":"creditCardTransaction.response.cardSecurityCodeMatch","typeLabel":"enum\u003cstring>"},"reconBatchId":{"description":"An internal ID returned by QuickBooks Merchant Services (QBMS) from the transaction request, needed for the QuickBooks reconciliation feature.\n\nMaximum length: 84 characters.","example":"1234567890","type":"string","maxLength":84,"uniqueKey":"creditCardTransaction.response.reconBatchId","typeLabel":"string"},"paymentGroupingCode":{"description":"An internal code returned by QuickBooks Merchant Services (QBMS) from the transaction request, needed for the QuickBooks reconciliation feature.","example":2,"type":"number","uniqueKey":"creditCardTransaction.response.paymentGroupingCode","typeLabel":"number"},"paymentStatus":{"type":"string","enum":["completed","unknown"],"description":"Indicates whether this credit card transaction is known to have been successfully processed by the card issuer.","example":"completed","uniqueKey":"creditCardTransaction.response.paymentStatus","typeLabel":"enum\u003cstring>"},"transactionAuthorizedAt":{"type":"string","description":"The date and time when the credit card processor authorized this credit card transaction.","example":"2024-01-01T12:34:56.000Z","uniqueKey":"creditCardTransaction.response.transactionAuthorizedAt","typeLabel":"string"},"transactionAuthorizationStamp":{"description":"An internal value for this credit card transaction, needed for the QuickBooks reconciliation feature.","example":2,"type":"number","uniqueKey":"creditCardTransaction.response.transactionAuthorizationStamp","typeLabel":"number"},"clientTransactionId":{"description":"A value returned from QBMS transactions for future use by the QuickBooks Reconciliation feature.\n\nMaximum length: 16 characters.","example":"1234567890","type":"string","maxLength":16,"uniqueKey":"creditCardTransaction.response.clientTransactionId","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"creditCardTransaction.response","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"creditCardTransaction","typeLabel":"object"},"applyToTransactions":{"description":"The invoices to be paid by this receive-payment. This will create a link between this receive-payment and the specified invoices.\n\n**IMPORTANT**: In each `applyToTransactions` object, you must specify either `paymentAmount`, `applyCredits`, `discountAmount`, or any combination of these; if none of these are specified, you will receive an error for an empty transaction.\n\n**IMPORTANT**: The target invoice must have `isPaid=false`, otherwise, QuickBooks will report this object as \"cannot be found\".","minItems":1,"type":"array","items":{"type":"object","properties":{"transactionId":{"type":"string","maxLength":36,"description":"The ID of the target transaction to which this payment is applied.","example":"123ABC-1234567890","isRequired":true,"uniqueKey":"applyToTransactions.items.[INDEX].transactionId","typeLabel":"string"},"paymentAmount":{"description":"The monetary amount to apply to the target transaction, represented as a decimal string.\n\nDecimal string format: exactly 2 decimal places when cents are included and up to 13 digits before the decimal point (for example, \"123.45\").","example":"25.00","type":"string","uniqueKey":"applyToTransactions.items.[INDEX].paymentAmount","typeLabel":"string"},"applyCredits":{"description":"Credits to apply to this target transaction, reducing its balance. This creates a link between this target transaction and the specified credit transactions.\n\n**IMPORTANT**: By default, QuickBooks will not return any information about the linked transactions in this endpoint's response even when this request is successful. To see the transactions linked via this field, refetch the target transaction and check the `linkedTransactions` response field. If fetching a list of target transactions, you must also specify the parameter `includeLinkedTransactions=true` to see the `linkedTransactions` response field.","minItems":1,"type":"array","items":{"type":"object","properties":{"creditTransactionId":{"type":"string","maxLength":36,"description":"The unique identifier of the credit transaction to apply to this transaction, such as a credit memo, vendor credit, or journal-entry credit.","example":"ABCDEF-1234567890","isRequired":true,"uniqueKey":"applyToTransactions.items.[INDEX].applyCredits.items.[INDEX].creditTransactionId","typeLabel":"string"},"appliedAmount":{"type":"string","description":"The amount of the selected credit transaction to apply to this transaction, represented as a decimal string.\n\nDecimal string format: exactly 2 decimal places when cents are included and up to 13 digits before the decimal point (for example, \"123.45\").","example":"100.00","isRequired":true,"uniqueKey":"applyToTransactions.items.[INDEX].applyCredits.items.[INDEX].appliedAmount","typeLabel":"string"},"overrideCreditApplication":{"description":"Indicates whether to override the credit.","example":false,"default":false,"type":"boolean","uniqueKey":"applyToTransactions.items.[INDEX].applyCredits.items.[INDEX].overrideCreditApplication","typeLabel":"boolean"}},"required":["creditTransactionId","appliedAmount"],"additionalProperties":false,"uniqueKey":"applyToTransactions.items.[INDEX].applyCredits.items.[INDEX]","typeLabel":"object"},"uniqueKey":"applyToTransactions.items.[INDEX].applyCredits","typeLabel":"object[]"},"discountAmount":{"description":"The monetary amount by which to reduce this target transaction's balance, represented as a decimal string.\n\nDecimal string format: exactly 2 decimal places when cents are included and up to 13 digits before the decimal point (for example, \"123.45\").","example":"50.00","type":"string","uniqueKey":"applyToTransactions.items.[INDEX].discountAmount","typeLabel":"string"},"discountAccountId":{"description":"The financial account used to track this target transaction's discount.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"applyToTransactions.items.[INDEX].discountAccountId","typeLabel":"string"},"discountClassId":{"description":"The class used to track this target transaction's discount.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"applyToTransactions.items.[INDEX].discountClassId","typeLabel":"string"}},"required":["transactionId"],"additionalProperties":false,"uniqueKey":"applyToTransactions.items.[INDEX]","typeLabel":"object"},"uniqueKey":"applyToTransactions","typeLabel":"object[]"}},"required":["revisionNumber"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"revisionNumber":"1721172183","customerId":"80000001-1234567890","receivablesAccountId":"80000001-1234567890","transactionDate":"2024-10-01","refNumber":"PAYMENT-1234","totalAmount":"1000.00","exchangeRate":1.2345,"paymentMethodId":"80000001-1234567890","memo":"Payment received at store location - cash","depositToAccountId":"80000001-1234567890","creditCardTransaction":{"request":{"number":"xxxxxxxxxxxx1234","expirationMonth":12,"expirationYear":2024,"name":"John Doe","address":"1234 Main St, Anytown, USA, 12345","postalCode":"12345","commercialCardCode":"corporate","transactionMode":"card_not_present","transactionType":"charge"},"response":{"statusCode":0,"statusMessage":"Success","creditCardTransactionId":"1234567890","merchantAccountNumber":"1234567890","authorizationCode":"1234567890","avsStreetStatus":"pass","avsZipStatus":"pass","cardSecurityCodeMatch":"pass","reconBatchId":"1234567890","paymentGroupingCode":2,"paymentStatus":"completed","transactionAuthorizedAt":"2024-01-01T12:34:56.000Z","transactionAuthorizationStamp":2,"clientTransactionId":"1234567890"}},"applyToTransactions":[{"transactionId":"123ABC-1234567890","paymentAmount":"25.00","applyCredits":[{"creditTransactionId":"ABCDEF-1234567890","appliedAmount":"100.00","overrideCreditApplication":false}],"discountAmount":"50.00","discountAccountId":"80000001-1234567890","discountClassId":"80000001-1234567890"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"377fbd08-7375-488a-8cb0-09085b0ea7b2":{"description":"Returns the updated receive-payment.","headers":{"Conductor-Request-Id":{"required":true,"description":"The unique identifier for this API request.","schema":{"type":"string","description":"The unique identifier for this API request.","example":"req_1234567abcdefg"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier assigned by QuickBooks to this receive-payment. This ID is unique across all transaction types.","example":"123ABC-1234567890","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"objectType":{"description":"The type of object. This value is always `\"qbd_receive_payment\"`.","example":"qbd_receive_payment","type":"string","const":"qbd_receive_payment","isRequired":true,"uniqueKey":"objectType","typeLabel":"string"},"createdAt":{"type":"string","description":"The date and time when this receive-payment was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-01-01T12:34:56.000Z","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string"},"updatedAt":{"type":"string","description":"The date and time when this receive-payment was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-02-01T12:34:56.000Z","isRequired":true,"uniqueKey":"updatedAt","typeLabel":"string"},"revisionNumber":{"type":"string","description":"The current QuickBooks-assigned revision number of this receive-payment object, which changes each time the object is modified. When updating this object, you must provide the most recent `revisionNumber` to ensure you're working with the latest data; otherwise, the update will return an error.","example":"1721172183","isRequired":true,"uniqueKey":"revisionNumber","typeLabel":"string"},"customer":{"oneOf":[{"type":"object","description":"The customer or customer-job to which the payment for this receive-payment is credited.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Acme Corporation"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"customer.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"customer.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"customer.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"customer.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"customer.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"customer.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"customer.oneOf.0","typeLabel":"object"},{"type":"null","description":"The customer or customer-job to which the payment for this receive-payment is credited.","example":{"id":"80000001-1234567890","fullName":"Acme Corporation"},"isRequired":true,"uniqueKey":"customer.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"customer","typeLabel":"object | null"},"receivablesAccount":{"oneOf":[{"type":"object","description":"The Accounts-Receivable (A/R) account to which this receive-payment is assigned, used to track the amount owed. If omitted, QuickBooks Desktop uses the default A/R account configured in the company file.\n\n**IMPORTANT**: If this receive-payment is linked to other transactions, this A/R account must match the `receivablesAccount` used in all linked transactions.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Accounts-Receivable"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"receivablesAccount.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"receivablesAccount.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"receivablesAccount.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"receivablesAccount.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"receivablesAccount.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"receivablesAccount.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"receivablesAccount.oneOf.0","typeLabel":"object"},{"type":"null","description":"The Accounts-Receivable (A/R) account to which this receive-payment is assigned, used to track the amount owed. If omitted, QuickBooks Desktop uses the default A/R account configured in the company file.\n\n**IMPORTANT**: If this receive-payment is linked to other transactions, this A/R account must match the `receivablesAccount` used in all linked transactions.","example":{"id":"80000001-1234567890","fullName":"Accounts-Receivable"},"isRequired":true,"uniqueKey":"receivablesAccount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"receivablesAccount","typeLabel":"object | null"},"transactionDate":{"type":"string","format":"date","description":"The date of this receive-payment, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-01","isRequired":true,"uniqueKey":"transactionDate","typeLabel":"string\u003cdate>"},"refNumber":{"oneOf":[{"type":"string","description":"The case-sensitive user-defined reference number for this receive-payment, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"PAYMENT-1234","isRequired":true,"uniqueKey":"refNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The case-sensitive user-defined reference number for this receive-payment, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"PAYMENT-1234","isRequired":true,"uniqueKey":"refNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"refNumber","typeLabel":"string | null"},"totalAmount":{"type":"string","description":"The total monetary amount of this receive-payment, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"totalAmount","typeLabel":"string"},"currency":{"oneOf":[{"type":"object","description":"The receive-payment's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"USD"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"currency.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"currency.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"currency.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"currency.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"currency.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"currency.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"currency.oneOf.0","typeLabel":"object"},{"type":"null","description":"The receive-payment's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","example":{"id":"80000001-1234567890","fullName":"USD"},"isRequired":true,"uniqueKey":"currency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"currency","typeLabel":"object | null"},"exchangeRate":{"oneOf":[{"type":"number","description":"The market exchange rate between this receive-payment's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"isRequired":true,"uniqueKey":"exchangeRate.oneOf.0","typeLabel":"number"},{"type":"null","description":"The market exchange rate between this receive-payment's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"isRequired":true,"uniqueKey":"exchangeRate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"exchangeRate","typeLabel":"number | null"},"totalAmountInHomeCurrency":{"oneOf":[{"type":"string","description":"The total monetary amount of this receive-payment converted to the home currency of the QuickBooks company file. Represented as a decimal string.","example":"1234.56","isRequired":true,"uniqueKey":"totalAmountInHomeCurrency.oneOf.0","typeLabel":"string"},{"type":"null","description":"The total monetary amount of this receive-payment converted to the home currency of the QuickBooks company file. Represented as a decimal string.","example":"1234.56","isRequired":true,"uniqueKey":"totalAmountInHomeCurrency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"totalAmountInHomeCurrency","typeLabel":"string | null"},"paymentMethod":{"oneOf":[{"type":"object","description":"The receive-payment's payment method (e.g., cash, check, credit card).","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Credit Card"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"paymentMethod.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"paymentMethod.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"paymentMethod.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"paymentMethod.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"paymentMethod.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"paymentMethod.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"paymentMethod.oneOf.0","typeLabel":"object"},{"type":"null","description":"The receive-payment's payment method (e.g., cash, check, credit card).","example":{"id":"80000001-1234567890","fullName":"Credit Card"},"isRequired":true,"uniqueKey":"paymentMethod.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"paymentMethod","typeLabel":"object | null"},"memo":{"oneOf":[{"type":"string","description":"A memo or note for this receive-payment that will be displayed at the beginning of reports containing details about this receive-payment.","example":"Payment received at store location - cash","isRequired":true,"uniqueKey":"memo.oneOf.0","typeLabel":"string"},{"type":"null","description":"A memo or note for this receive-payment that will be displayed at the beginning of reports containing details about this receive-payment.","example":"Payment received at store location - cash","isRequired":true,"uniqueKey":"memo.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"memo","typeLabel":"string | null"},"depositToAccount":{"oneOf":[{"type":"object","description":"The account where the funds for this receive-payment will be or have been deposited.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Undeposited Funds"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"depositToAccount.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"depositToAccount.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"depositToAccount.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"depositToAccount.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"depositToAccount.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"depositToAccount.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"depositToAccount.oneOf.0","typeLabel":"object"},{"type":"null","description":"The account where the funds for this receive-payment will be or have been deposited.","example":{"id":"80000001-1234567890","fullName":"Undeposited Funds"},"isRequired":true,"uniqueKey":"depositToAccount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"depositToAccount","typeLabel":"object | null"},"creditCardTransaction":{"oneOf":[{"type":"object","title":"The Credit Card Transaction object","description":"The credit card transaction data for this receive-payment's payment when using QuickBooks Merchant Services (QBMS).","required":["request","response"],"x-conductor-object-type":"nested","properties":{"request":{"oneOf":[{"type":"object","title":"The Credit Card Transaction Request object","description":"The transaction request data originally supplied for this credit card transaction when using QuickBooks Merchant Services (QBMS).","required":["number","expirationMonth","expirationYear","name","address","postalCode","commercialCardCode","transactionMode","transactionType"],"x-conductor-object-type":"nested","properties":{"number":{"type":"string","description":"The credit card number. Must be masked with lower case \"x\" and no dashes.","example":"xxxxxxxxxxxx1234","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.number","typeLabel":"string"},"expirationMonth":{"type":"number","description":"The month when the credit card expires.","example":12,"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.expirationMonth","typeLabel":"number"},"expirationYear":{"type":"number","description":"The year when the credit card expires.","example":2024,"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.expirationYear","typeLabel":"number"},"name":{"oneOf":[{"type":"string","description":"The cardholder's name on the card.","example":"John Doe","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The cardholder's name on the card.","example":"John Doe","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.name","typeLabel":"string | null"},"address":{"oneOf":[{"type":"string","description":"The card's billing address.","example":"1234 Main St, Anytown, USA, 12345","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.address.oneOf.0","typeLabel":"string"},{"type":"null","description":"The card's billing address.","example":"1234 Main St, Anytown, USA, 12345","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.address.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.address","typeLabel":"string | null"},"postalCode":{"oneOf":[{"type":"string","description":"The card's billing address ZIP or postal code.","example":"12345","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.postalCode.oneOf.0","typeLabel":"string"},{"type":"null","description":"The card's billing address ZIP or postal code.","example":"12345","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.postalCode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.postalCode","typeLabel":"string | null"},"commercialCardCode":{"oneOf":[{"type":"string","description":"The commercial card code identifies the type of business credit card being used (purchase, corporate, or business) for Visa and Mastercard transactions only. When provided, this code may qualify the transaction for lower processing fees compared to the standard rates that apply when no code is specified.","example":"corporate","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.commercialCardCode.oneOf.0","typeLabel":"string"},{"type":"null","description":"The commercial card code identifies the type of business credit card being used (purchase, corporate, or business) for Visa and Mastercard transactions only. When provided, this code may qualify the transaction for lower processing fees compared to the standard rates that apply when no code is specified.","example":"corporate","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.commercialCardCode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.commercialCardCode","typeLabel":"string | null"},"transactionMode":{"oneOf":[{"type":"string","description":"Indicates whether this credit card transaction came from a card swipe (`card_present`) or not (`card_not_present`).","enum":["card_not_present","card_present"],"example":"card_not_present","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.transactionMode.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Indicates whether this credit card transaction came from a card swipe (`card_present`) or not (`card_not_present`).","example":"card_not_present","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.transactionMode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.transactionMode","typeLabel":"enum\u003cstring> | null"},"transactionType":{"oneOf":[{"type":"string","description":"The QBMS transaction type from which the current transaction data originated.","enum":["authorization","capture","charge","refund","voice_authorization"],"example":"charge","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.transactionType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The QBMS transaction type from which the current transaction data originated.","example":"charge","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.transactionType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0.transactionType","typeLabel":"enum\u003cstring> | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.0","typeLabel":"The Credit Card Transaction Request object · object"},{"type":"null","description":"The transaction request data originally supplied for this credit card transaction when using QuickBooks Merchant Services (QBMS).","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.request","typeLabel":"The Credit Card Transaction Request object · object | null"},"response":{"oneOf":[{"type":"object","title":"The Credit Card Transaction Response object","description":"The transaction response data for this credit card transaction when using QuickBooks Merchant Services (QBMS).","required":["statusCode","statusMessage","creditCardTransactionId","merchantAccountNumber","authorizationCode","avsStreetStatus","avsZipStatus","cardSecurityCodeMatch","reconBatchId","paymentGroupingCode","paymentStatus","transactionAuthorizedAt","transactionAuthorizationStamp","clientTransactionId"],"x-conductor-object-type":"nested","properties":{"statusCode":{"type":"number","description":"The status code returned in the original QBMS transaction response for this credit card transaction.","example":0,"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.statusCode","typeLabel":"number"},"statusMessage":{"type":"string","description":"The status message returned in the original QBMS transaction response for this credit card transaction.","example":"Success","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.statusMessage","typeLabel":"string"},"creditCardTransactionId":{"type":"string","description":"The ID returned from the credit card processor for this credit card transaction.","example":"1234567890","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.creditCardTransactionId","typeLabel":"string"},"merchantAccountNumber":{"type":"string","description":"The QBMS account number of the merchant who is running this transaction using the customer's credit card.","example":"1234567890","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.merchantAccountNumber","typeLabel":"string"},"authorizationCode":{"oneOf":[{"type":"string","description":"The authorization code returned from the credit card processor to indicate that this charge will be paid by the card issuer.","example":"1234567890","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.authorizationCode.oneOf.0","typeLabel":"string"},{"type":"null","description":"The authorization code returned from the credit card processor to indicate that this charge will be paid by the card issuer.","example":"1234567890","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.authorizationCode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.authorizationCode","typeLabel":"string | null"},"avsStreetStatus":{"oneOf":[{"type":"string","description":"Indicates whether the street address supplied in the transaction request matches the customer's address on file at the card issuer.","enum":["fail","not_available","pass"],"example":"pass","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.avsStreetStatus.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Indicates whether the street address supplied in the transaction request matches the customer's address on file at the card issuer.","example":"pass","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.avsStreetStatus.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.avsStreetStatus","typeLabel":"enum\u003cstring> | null"},"avsZipStatus":{"oneOf":[{"type":"string","description":"Indicates whether the customer postal ZIP code supplied in the transaction request matches the customer's postal code recognized at the card issuer.","enum":["fail","not_available","pass"],"example":"pass","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.avsZipStatus.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Indicates whether the customer postal ZIP code supplied in the transaction request matches the customer's postal code recognized at the card issuer.","example":"pass","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.avsZipStatus.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.avsZipStatus","typeLabel":"enum\u003cstring> | null"},"cardSecurityCodeMatch":{"oneOf":[{"type":"string","description":"Indicates whether the card security code supplied in the transaction request matches the card security code recognized for that credit card number at the card issuer.","enum":["fail","not_available","pass"],"example":"pass","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.cardSecurityCodeMatch.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Indicates whether the card security code supplied in the transaction request matches the card security code recognized for that credit card number at the card issuer.","example":"pass","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.cardSecurityCodeMatch.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.cardSecurityCodeMatch","typeLabel":"enum\u003cstring> | null"},"reconBatchId":{"oneOf":[{"type":"string","description":"An internal ID returned by QuickBooks Merchant Services (QBMS) from the transaction request, needed for the QuickBooks reconciliation feature.","example":"1234567890","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.reconBatchId.oneOf.0","typeLabel":"string"},{"type":"null","description":"An internal ID returned by QuickBooks Merchant Services (QBMS) from the transaction request, needed for the QuickBooks reconciliation feature.","example":"1234567890","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.reconBatchId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.reconBatchId","typeLabel":"string | null"},"paymentGroupingCode":{"oneOf":[{"type":"number","description":"An internal code returned by QuickBooks Merchant Services (QBMS) from the transaction request, needed for the QuickBooks reconciliation feature.","example":2,"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.paymentGroupingCode.oneOf.0","typeLabel":"number"},{"type":"null","description":"An internal code returned by QuickBooks Merchant Services (QBMS) from the transaction request, needed for the QuickBooks reconciliation feature.","example":2,"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.paymentGroupingCode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.paymentGroupingCode","typeLabel":"number | null"},"paymentStatus":{"type":"string","enum":["completed","unknown"],"description":"Indicates whether this credit card transaction is known to have been successfully processed by the card issuer.","example":"completed","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.paymentStatus","typeLabel":"enum\u003cstring>"},"transactionAuthorizedAt":{"type":"string","description":"The date and time when the credit card processor authorized this credit card transaction.","example":"2024-01-01T12:34:56.000Z","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.transactionAuthorizedAt","typeLabel":"string"},"transactionAuthorizationStamp":{"oneOf":[{"type":"number","description":"An internal value for this credit card transaction, needed for the QuickBooks reconciliation feature.","example":2,"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.transactionAuthorizationStamp.oneOf.0","typeLabel":"number"},{"type":"null","description":"An internal value for this credit card transaction, needed for the QuickBooks reconciliation feature.","example":2,"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.transactionAuthorizationStamp.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.transactionAuthorizationStamp","typeLabel":"number | null"},"clientTransactionId":{"oneOf":[{"type":"string","description":"A value returned from QBMS transactions for future use by the QuickBooks Reconciliation feature.","example":"1234567890","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.clientTransactionId.oneOf.0","typeLabel":"string"},{"type":"null","description":"A value returned from QBMS transactions for future use by the QuickBooks Reconciliation feature.","example":"1234567890","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.clientTransactionId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0.clientTransactionId","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.0","typeLabel":"The Credit Card Transaction Response object · object"},{"type":"null","description":"The transaction response data for this credit card transaction when using QuickBooks Merchant Services (QBMS).","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0.response","typeLabel":"The Credit Card Transaction Response object · object | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.0","typeLabel":"The Credit Card Transaction object · object"},{"type":"null","description":"The credit card transaction data for this receive-payment's payment when using QuickBooks Merchant Services (QBMS).","isRequired":true,"uniqueKey":"creditCardTransaction.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"creditCardTransaction","typeLabel":"The Credit Card Transaction object · object | null"},"unusedPayment":{"oneOf":[{"type":"string","description":"The amount of this receive-payment that remains unapplied to any transactions. This occurs in two cases: (1) When the sum of `paymentAmount` amounts in `applyToTransactions` is less than `totalAmount`, leaving a portion of the payment unused, or (2) When a payment is received that equals the exact amount of an invoice, but credits or discounts are also applied, resulting in excess payment.","example":"100.00","isRequired":true,"uniqueKey":"unusedPayment.oneOf.0","typeLabel":"string"},{"type":"null","description":"The amount of this receive-payment that remains unapplied to any transactions. This occurs in two cases: (1) When the sum of `paymentAmount` amounts in `applyToTransactions` is less than `totalAmount`, leaving a portion of the payment unused, or (2) When a payment is received that equals the exact amount of an invoice, but credits or discounts are also applied, resulting in excess payment.","example":"100.00","isRequired":true,"uniqueKey":"unusedPayment.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"unusedPayment","typeLabel":"string | null"},"unusedCredits":{"oneOf":[{"type":"string","description":"The amount of credit that remains unused after applying credits to this receive-payment. This occurs when the `applyCredit.appliedAmount` specified for a credit memo (`applyCredit.creditMemoId`) in the `applyToTransactions` array is less than the total available credit amount for that credit memo.","example":"100.00","isRequired":true,"uniqueKey":"unusedCredits.oneOf.0","typeLabel":"string"},{"type":"null","description":"The amount of credit that remains unused after applying credits to this receive-payment. This occurs when the `applyCredit.appliedAmount` specified for a credit memo (`applyCredit.creditMemoId`) in the `applyToTransactions` array is less than the total available credit amount for that credit memo.","example":"100.00","isRequired":true,"uniqueKey":"unusedCredits.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"unusedCredits","typeLabel":"string | null"},"externalId":{"oneOf":[{"type":"string","description":"A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.","example":"12345678-abcd-1234-abcd-1234567890ab","isRequired":true,"uniqueKey":"externalId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"externalId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"externalId","typeLabel":"string | null"},"appliedToTransactions":{"type":"array","items":{"type":"object","properties":{"transactionId":{"type":"string","maxLength":36,"description":"The ID of the target transaction to which this payment is applied.","example":"123ABC-1234567890","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].transactionId","typeLabel":"string"},"transactionType":{"type":"string","enum":["ar_refund_credit_card","bill","bill_payment_check","bill_payment_credit_card","build_assembly","charge","check","credit_card_charge","credit_card_credit","credit_memo","deposit","estimate","inventory_adjustment","invoice","item_receipt","journal_entry","liability_adjustment","paycheck","payroll_liability_check","purchase_order","receive_payment","sales_order","sales_receipt","sales_tax_payment_check","transfer","vendor_credit","ytd_adjustment","transfer_inventory","unknown"],"description":"The type of transaction for this target transaction.","example":"invoice","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].transactionType","typeLabel":"enum\u003cstring>"},"transactionDate":{"oneOf":[{"type":"string","description":"The date of this target transaction, in ISO 8601 format (YYYY-MM-DD).","format":"date","example":"2024-10-01T00:00:00.000Z","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].transactionDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","description":"The date of this target transaction, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-01T00:00:00.000Z","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].transactionDate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].transactionDate","typeLabel":"string\u003cdate> | null"},"refNumber":{"oneOf":[{"type":"string","description":"The case-sensitive user-defined reference number for this target transaction, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"TXN-1234","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].refNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The case-sensitive user-defined reference number for this target transaction, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"TXN-1234","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].refNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].refNumber","typeLabel":"string | null"},"balanceRemaining":{"oneOf":[{"type":"string","description":"The outstanding balance of this target transaction after applying any credits or payments. Represented as a decimal string.","example":"100.00","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].balanceRemaining.oneOf.0","typeLabel":"string"},{"type":"null","description":"The outstanding balance of this target transaction after applying any credits or payments. Represented as a decimal string.","example":"100.00","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].balanceRemaining.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].balanceRemaining","typeLabel":"string | null"},"amount":{"oneOf":[{"type":"string","description":"The monetary amount of this target transaction, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].amount.oneOf.0","typeLabel":"string"},{"type":"null","description":"The monetary amount of this target transaction, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].amount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].amount","typeLabel":"string | null"},"discountAmount":{"oneOf":[{"type":"string","description":"The monetary amount by which to reduce this target transaction's balance, represented as a decimal string.","example":"50.00","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountAmount.oneOf.0","typeLabel":"string"},{"type":"null","description":"The monetary amount by which to reduce this target transaction's balance, represented as a decimal string.","example":"50.00","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountAmount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountAmount","typeLabel":"string | null"},"discountAccount":{"oneOf":[{"type":"object","description":"The financial account used to track this target transaction's discount.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Discount Account"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountAccount.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountAccount.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountAccount.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountAccount.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountAccount.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountAccount.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountAccount.oneOf.0","typeLabel":"object"},{"type":"null","description":"The financial account used to track this target transaction's discount.","example":{"id":"80000001-1234567890","fullName":"Discount Account"},"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountAccount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountAccount","typeLabel":"object | null"},"discountClass":{"oneOf":[{"type":"object","description":"The class used to track this target transaction's discount.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Discounts"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountClass.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountClass.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountClass.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountClass.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountClass.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountClass.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountClass.oneOf.0","typeLabel":"object"},{"type":"null","description":"The class used to track this target transaction's discount.","example":{"id":"80000001-1234567890","fullName":"Discounts"},"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountClass.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].discountClass","typeLabel":"object | null"},"linkedTransactions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier assigned by QuickBooks to this linked transaction. This ID is unique across all transaction types.","example":"123ABC-1234567890","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].id","typeLabel":"string"},"objectType":{"description":"The type of object. This value is always `\"qbd_linked_transaction\"`.","example":"qbd_linked_transaction","type":"string","const":"qbd_linked_transaction","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].objectType","typeLabel":"string"},"transactionType":{"type":"string","enum":["ar_refund_credit_card","bill","bill_payment_check","bill_payment_credit_card","build_assembly","charge","check","credit_card_charge","credit_card_credit","credit_memo","deposit","estimate","inventory_adjustment","invoice","item_receipt","journal_entry","liability_adjustment","paycheck","payroll_liability_check","purchase_order","receive_payment","sales_order","sales_receipt","sales_tax_payment_check","transfer","vendor_credit","ytd_adjustment","transfer_inventory","unknown"],"description":"The type of transaction for this linked transaction.","example":"invoice","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].transactionType","typeLabel":"enum\u003cstring>"},"transactionDate":{"type":"string","format":"date","description":"The date of this linked transaction, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-01","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].transactionDate","typeLabel":"string\u003cdate>"},"refNumber":{"oneOf":[{"type":"string","description":"The case-sensitive user-defined reference number for this linked transaction, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"LINK-1234","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].refNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The case-sensitive user-defined reference number for this linked transaction, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"LINK-1234","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].refNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].refNumber","typeLabel":"string | null"},"linkType":{"oneOf":[{"type":"string","description":"Indicates the nature of the link between the transactions: `amount` denotes an amount-based link (e.g., an invoice linked to a payment), and `quantity` denotes a quantity-based link (e.g., an invoice created from a sales order based on the quantity of items received).","enum":["amount","quantity"],"example":"amount","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].linkType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Indicates the nature of the link between the transactions: `amount` denotes an amount-based link (e.g., an invoice linked to a payment), and `quantity` denotes a quantity-based link (e.g., an invoice created from a sales order based on the quantity of items received).","example":"amount","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].linkType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].linkType","typeLabel":"enum\u003cstring> | null"},"amount":{"oneOf":[{"type":"string","description":"The monetary amount of this linked transaction, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].amount.oneOf.0","typeLabel":"string"},{"type":"null","description":"The monetary amount of this linked transaction, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].amount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].amount","typeLabel":"string | null"}},"required":["id","objectType","transactionType","transactionDate","refNumber","linkType","amount"],"additionalProperties":false,"title":"The Linked Transaction object","x-conductor-object-type":"nested","uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX]","typeLabel":"The Linked Transaction object · object"},"description":"The target transaction's linked transactions, such as payments applied, credits used, or associated purchase orders.\n\n**IMPORTANT**: You must specify the parameter `includeLinkedTransactions` when fetching a list of target transactions to receive this field because it is not returned by default.","isRequired":true,"uniqueKey":"appliedToTransactions.items.[INDEX].linkedTransactions","typeLabel":"The Linked Transaction object · object[]"}},"required":["transactionId","transactionType","transactionDate","refNumber","balanceRemaining","amount","discountAmount","discountAccount","discountClass","linkedTransactions"],"additionalProperties":false,"title":"The Target Transaction object","x-conductor-object-type":"nested","uniqueKey":"appliedToTransactions.items.[INDEX]","typeLabel":"The Target Transaction object · object"},"description":"The invoice(s) paid by this receive-payment.","isRequired":true,"uniqueKey":"appliedToTransactions","typeLabel":"The Target Transaction object · object[]"},"customFields":{"type":"array","items":{"type":"object","properties":{"ownerId":{"type":"string","description":"The identifier of the owner of the custom field, which QuickBooks internally calls a \"data extension\". For public custom fields visible in the UI, such as those added by the QuickBooks user, this is always \"0\". For private custom fields that are only visible to the application that created them, this is a valid GUID identifying the owning application. Internally, Conductor always fetches all public custom fields (those with an `ownerId` of \"0\") for all objects.","example":"0","isRequired":true,"uniqueKey":"customFields.items.[INDEX].ownerId","typeLabel":"string"},"name":{"type":"string","description":"The name of the custom field, unique for the specified `ownerId`. For public custom fields, this name is visible as a label in the QuickBooks UI.","example":"Customer Rating","isRequired":true,"uniqueKey":"customFields.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","enum":["amount_type","date_time_type","integer_type","percent_type","price_type","quantity_type","string_1024_type","string_255_type"],"description":"The data type of this custom field.","example":"string_1024_type","isRequired":true,"uniqueKey":"customFields.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"The value of this custom field. The maximum length depends on the field's data type.","example":"Premium","isRequired":true,"uniqueKey":"customFields.items.[INDEX].value","typeLabel":"string"}},"required":["ownerId","name","type","value"],"additionalProperties":false,"title":"The Custom Field object","x-conductor-object-type":"nested","uniqueKey":"customFields.items.[INDEX]","typeLabel":"The Custom Field object · object"},"description":"The custom fields for the receive-payment object, added as user-defined data extensions, not included in the standard QuickBooks object.","isRequired":true,"uniqueKey":"customFields","typeLabel":"The Custom Field object · object[]"}},"required":["id","objectType","createdAt","updatedAt","revisionNumber","customer","receivablesAccount","transactionDate","refNumber","totalAmount","currency","exchangeRate","totalAmountInHomeCurrency","paymentMethod","memo","depositToAccount","creditCardTransaction","unusedPayment","unusedCredits","externalId","appliedToTransactions","customFields"],"additionalProperties":false,"title":"The Receive-Payment object","x-conductor-object-type":"transaction","summary":"A receive-payment records when a payment is received from a customer *not* at the time of sale. It can be used for one or more of these purposes: (1) record a customer's payment against one or more invoices, (2) set a discount (e.g., for early payment), or (3) set a credit (e.g., from returned merchandise). Note: If full payment is received at the time of sale, use a sales receipt instead.","uniqueKey":"","typeLabel":"The Receive-Payment object · object"},"examples":{"Example":{"title":"Example","value":{"id":"123ABC-1234567890","objectType":"qbd_receive_payment","createdAt":"2025-01-01T12:34:56.000Z","updatedAt":"2025-02-01T12:34:56.000Z","revisionNumber":"1721172183","customer":{"id":"80000001-1234567890","fullName":"Acme Corporation"},"receivablesAccount":{"id":"80000001-1234567890","fullName":"Accounts-Receivable"},"transactionDate":"2024-10-01","refNumber":"PAYMENT-1234","totalAmount":"1000.00","currency":{"id":"80000001-1234567890","fullName":"USD"},"exchangeRate":1.2345,"totalAmountInHomeCurrency":"1234.56","paymentMethod":{"id":"80000001-1234567890","fullName":"Credit Card"},"memo":"Payment received at store location - cash","depositToAccount":{"id":"80000001-1234567890","fullName":"Undeposited Funds"},"creditCardTransaction":{"request":{"number":"xxxxxxxxxxxx1234","expirationMonth":12,"expirationYear":2024,"name":"John Doe","address":"1234 Main St, Anytown, USA, 12345","postalCode":"12345","commercialCardCode":"corporate","transactionMode":"card_not_present","transactionType":"charge"},"response":{"statusCode":0,"statusMessage":"Success","creditCardTransactionId":"1234567890","merchantAccountNumber":"1234567890","authorizationCode":"1234567890","avsStreetStatus":"pass","avsZipStatus":"pass","cardSecurityCodeMatch":"pass","reconBatchId":"1234567890","paymentGroupingCode":2,"paymentStatus":"completed","transactionAuthorizedAt":"2024-01-01T12:34:56.000Z","transactionAuthorizationStamp":2,"clientTransactionId":"1234567890"}},"unusedPayment":"100.00","unusedCredits":"100.00","externalId":"12345678-abcd-1234-abcd-1234567890ab","appliedToTransactions":[{"transactionId":"123ABC-1234567890","transactionType":"invoice","transactionDate":"2024-10-01T00:00:00.000Z","refNumber":"TXN-1234","balanceRemaining":"100.00","amount":"1000.00","discountAmount":"50.00","discountAccount":{"id":"80000001-1234567890","fullName":"Discount Account"},"discountClass":{"id":"80000001-1234567890","fullName":"Discounts"},"linkedTransactions":[{"id":"123ABC-1234567890","objectType":"qbd_linked_transaction","transactionType":"invoice","transactionDate":"2024-10-01","refNumber":"LINK-1234","linkType":"amount","amount":"1000.00"}]}],"customFields":[{"ownerId":"0","name":"Customer Rating","type":"string_1024_type","value":"Premium"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"d2a1fa71-9e9e-470f-973e-c5a18e754ac9":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"045cea4d-dfb6-46e4-9c51-52452b7b239b":{"url":"https://api.conductor.is/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi.documented.yml"},"subdomain":"conductor","siteName":"Conductor Docs","title":"Update a receive-payment - Conductor Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-27T20:40:22.888Z","originalFileLocation":"api-ref/qbd/receive-payments/update.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Updates a received payment. When you resubmit applications to invoices, keep them on the same accounts receivable account and include the payment amount, discount, or credit on every allocation you send.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update a receive-payment - Conductor Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Updates a received payment. When you resubmit applications to invoices, keep them on the same accounts rec
[...]
